function x=generateMLME(x0,T,p,dt)
%%% Modified-Euler for Morris-Lecar with fixed time step
x(:,1)=reshape(x0,1,2);
for j=1:T
    k1=dt*fX(0,x(:,j),p(j,:));
    k2=dt*fX(0,x(:,j)+k1,p(j+1,:));
    x(:,j+1)=x(:,j)+k1./2+k2./2;
end
    function dy = fX(t,y,p)
        phi=p(1);
        Gca=p(2);
        V3=p(3);
        V4=p(4);
        Eca=p(5);
        Ek=p(6);
        El=p(7);
        Gk=p(8);
        Gl=p(9);
        V1=p(10);
        V2=p(11);
        Cm=p(12);
        Iapp=p(13);
        V = y(1,:);
        n = y(2,:);        
        dy=zeros(size(y));
        dy(1,:)= fV(V,n,Iapp,Gca,Gk,Gl,Eca,Ek,El,Cm,V1,V2);
        dy(2,:)=fn(V,n,phi,V3,V4);
    end
end